/*
 *  Version: 1.0
 *
 *  The contents of this file are subject to the OpenVPMS License Version
 *  1.0 (the 'License'); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *  http://www.openvpms.org/license/
 *
 *  Software distributed under the License is distributed on an 'AS IS' basis,
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 *  for the specific language governing rights and limitations under the
 *  License.
 *
 *  Copyright 2008 (C) OpenVPMS Ltd. All Rights Reserved.
 *
 *  $Id$
 */

package org.openvpms.archetype.rules.patient;


/**
 * Patient investigation archetypes.
 *
 * @author <a href="mailto:support@openvpms.org">OpenVPMS Team</a>
 * @version $LastChangedDate$
 */
public class InvestigationArchetypes {

    /**
     * Biochemistry investigation short name.
     *
     * @deprecated see {@link #PATIENT_INVESTIGATION}
     */
    @Deprecated
    public static final String BIOCHEMISTRY = "act.patientInvestigationBiochemistry";

    /**
     * Cytology investigation short name.
     *
     * @deprecated see {@link #PATIENT_INVESTIGATION}
     */
    @Deprecated
    public static final String CYTOLOGY = "act.patientInvestigationCytology";

    /**
     * Haematology investigation short name.
     *
     * @deprecated see {@link #PATIENT_INVESTIGATION}
     */
    @Deprecated
    public static final String HAEMATOLOGY = "act.patientInvestigationHaematology";

    /**
     * Radiology investigation short name.
     *
     * @deprecated see {@link #PATIENT_INVESTIGATION}
     */
    @Deprecated
    public static final String RADIOLOGY = "act.patientInvestigationRadiology";

    /**
     * General investigation short name.
     *
     * @deprecated see {@link #PATIENT_INVESTIGATION}
     */
    @Deprecated
    public static final String GENERAL = "act.patientInvestigation";

    /**
     * Investigation type short name.
     */
    public static final String INVESTIGATION_TYPE = "entity.investigationType";

    /**
     * Investigation type participation short name.
     */
    public static final String INVESTIGATION_TYPE_PARTICIPATION = "participation.investigationType";

    /**
     * Patient investigation act short name.
     */
    public static final String PATIENT_INVESTIGATION = "act.patientInvestigation";

    /**
     * Patient investigation version act short name.
     */
    public static final String PATIENT_INVESTIGATION_VERSION = "act.patientInvestigationVersion";
}
