/*
 *  Version: 1.0
 *
 *  The contents of this file are subject to the OpenVPMS License Version
 *  1.0 (the 'License'); you may not use this file except in compliance with
 *  the License. You may obtain a copy of the License at
 *  http://www.openvpms.org/license/
 *
 *  Software distributed under the License is distributed on an 'AS IS' basis,
 *  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 *  for the specific language governing rights and limitations under the
 *  License.
 *
 *  Copyright 2006 (C) OpenVPMS Ltd. All Rights Reserved.
 *
 *  $Id: CustomerSubsystem.java 4632 2012-03-07 04:27:43Z tanderson $
 */

package org.openvpms.web.app.customer;

import org.openvpms.web.app.customer.account.AccountWorkspace;
import org.openvpms.web.app.customer.charge.ChargeWorkspace;
import org.openvpms.web.app.customer.document.CustomerDocumentWorkspace;
import org.openvpms.web.app.customer.estimation.EstimationWorkspace;
import org.openvpms.web.app.customer.info.InformationWorkspace;
import org.openvpms.web.app.customer.note.NoteAlertWorkspace;
import org.openvpms.web.app.customer.payment.PaymentWorkspace;
import org.openvpms.web.component.app.GlobalContext;
import org.openvpms.web.component.mail.MailContext;
import org.openvpms.web.component.subsystem.AbstractSubsystem;


/**
 * Customer subsystem.
 *
 * @author <a href="mailto:support@openvpms.org">OpenVPMS Team</a>
 * @version $LastChangedDate: 2012-03-07 15:27:43 +1100 (Wed, 07 Mar 2012) $
 */
public class CustomerSubsystem extends AbstractSubsystem {

    /**
     * Construct a new <tt>CustomerSubsystem</tt>.
     */
    public CustomerSubsystem() {
        super("customer");

        MailContext context = new CustomerMailContext(GlobalContext.getInstance());

        addWorkspace(new InformationWorkspace(), context);
        addWorkspace(new CustomerDocumentWorkspace(), context);
        addWorkspace(new EstimationWorkspace(), context);
        addWorkspace(new ChargeWorkspace(), context);
        addWorkspace(new PaymentWorkspace(), context);
        addWorkspace(new AccountWorkspace(), context);
        addWorkspace(new NoteAlertWorkspace(), context);
    }

}
